Bug 846222 - chrony: does not check for I/O error before replacing files
chrony: does not check for I/O error before replacing files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 846000
  Show dependency treegraph
 
Reported: 2012-08-07 04:24 EDT by Florian Weimer
Modified: 2012-09-18 16:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 16:03:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2012-08-07 04:24:08 EDT
reference.c:update_drift_file() and rtc_linux.c:write_coefs_to_file()
overwrite original file even when I/O on the temporary file fails.  Please check the return values of the write operations, or use ferror().  To be absolutely safe, you also need to call fflush() followed by fsync() directly before the fclose(), so that the new file contents isn't lost in a crash, but I'm not sure if this is really necessary here.
Comment 1 Fedora Update System 2012-09-11 14:42:16 EDT
chrony-1.27-0.5.pre1.git1ca844.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/chrony-1.27-0.5.pre1.git1ca844.fc18
Comment 2 Fedora Update System 2012-09-12 15:14:58 EDT
Package chrony-1.27-0.5.pre1.git1ca844.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chrony-1.27-0.5.pre1.git1ca844.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13883/chrony-1.27-0.5.pre1.git1ca844.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-18 16:03:01 EDT
chrony-1.27-0.5.pre1.git1ca844.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.